Bug 52478 - gcc miscompiling sha1 digest in rpmio/digest.c
Summary: gcc miscompiling sha1 digest in rpmio/digest.c
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-24 03:52 UTC by Jeff Johnson
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 20:56:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeff Johnson 2001-08-24 03:52:52 UTC
Description of Problem:
gcc-2.96-93 in 7.1 (and gcc-2.96-97 in 7.2) is miscompiling
rpmio/digest.c sha1 digest. Compiling with -O0 works, as
does adding debugging messages.

Version-Release number of selected component (if applicable):

How Reproducible:


Steps to Reproduce:
1.  rpm --rebuild rpm-4.0.3-0.95.src.rpm
2. cd rpmio
3. make tdigest && ../tdigest --fipsa

Actual Results:
2c80fcd2cf957725c03d03c123e666be6b97d925     abc
a9993e364706816aba3e25717850c26c9cd0d89d     FIPS PUB 180-1 Appendix A

Expected Results:
a9993e364706816aba3e25717850c26c9cd0d89d     abc
a9993e364706816aba3e25717850c26c9cd0d89d     FIPS PUB 180-1 Appendix A


Additional Information:
	
There's debugging code in rpmio/digest.c to reproduce the intermediate
FIPS results if necessary (but defining SHA_DEBUG causes problem
to disappear).

Comment 1 Jeff Johnson 2001-08-24 03:55:18 UTC
Note that rpmio/digest.o is being compiled with -O0 in
the rpm-4.0.3-0.95 package.

Comment 2 Vladimir Makarov 2004-10-04 20:56:04 UTC
  I am closing this case.  gcc-2.96 is too old.  Its release cycle was
finished long ago.  Also we don't support alpha anymore.



Note You need to log in before you can comment on or make changes to this bug.